<?php

namespace App\Helpers;

class StatusHelper
{
    public static function getStatusText($value, $options)
    {
        return $options[$value] ?? '';
    }

    public static function getBinaryStatusMap()
    {
        return [
            1 => 'PRESENTE',
            2 => 'NON PRESENTE',
            3 => 'NON RILEVATO'
        ];
    }

    public static function getDeviceStatusMap()
    {
        return [
            1 => 'FUNZIONANTE',
            2 => 'NON FUNZIONANTE',
            3 => 'NON RILEVATO'
        ];
    }

    public static function getCrystalPositionMap()
    {
        return [
            1 => "Incrinato all'interno",
            2 => "Incrinato all'esterno",
            3 => 'ALTRA POSIZIONE'
        ];
    }

    public static function getAirbagStatusMap()
    {
        return [
            1 => 'SI',
            2 => 'NO',
            3 => 'NON RILEVATO'
        ];
    }
}
